BackGround :

I had an application which was using .net framework version 2.0 then I added some dll of version 4.o then all of sudden when running the application I got the above error.

 

Resolution:

I add the below code in my all app.config of projects of my solution.

<startupuseLegacyV2RuntimeActivationPolicy="true">

      <supportedRuntimeversion="v4.0"/>

    </startup>